Summary:	An inotify based cron daemon
Name:		incron
Version:	0.5.10
Release:	%mkrel 4
Source0:	http://inotify.aiken.cz/download/incron/%{name}-%{version}.tar.bz2
Source1:	incrond.service
Patch1:		incron-0.5.10-includes.patch
License:	GPLv2
Group:		System/Servers
Url:		http://incron.aiken.cz/
BuildRequires:	gcc-c++

%description
incron is an "inotify cron" system. It works like the regular cron but is
driven by filesystem events instead of time periods. It contains two
programs, a daemon called "incrond" (analogous to crond) and a table
manipulator "incrontab" (like "crontab").

%prep
%setup -q
%autopatch -p1

%build
%setup_compile_flags
%make PREFIX=%{_prefix}

%install
mkdir -p %{buildroot}{%{_sbindir},%{_bindir}}

make install \
    PREFIX=%{buildroot}%{_prefix} \
    USERDATADIR=%{buildroot}/var/spool/incron \
    SYSDATADIR=%{buildroot}%{_sysconfdir}/incron.d \
    CFGDIR=%{buildroot}%{_sysconfdir} \
    MANPATH=%{buildroot}%{_mandir} \
    USER=$USER

# conf
install -Dpm644 incron.conf.example %{buildroot}%{_sysconfdir}/incron.conf

# systemd support
install -Dpm644 %{_sourcedir}/incrond.service %{buildroot}%{_unitdir}/incrond.service

# handle docs in files section
rm -rf %{buildroot}%{_docdir}

%post
%_post_service incrond

%preun
%_preun_service incrond

%files
%doc CHANGELOG README TODO
%doc doc/html
%doc incron.conf.example
%attr(4755,root,root) %{_bindir}/incrontab
%{_sbindir}/incrond
%{_var}/spool/incron/
%{_sysconfdir}/incron.d/
%config(noreplace) %{_sysconfdir}/incron.conf
%{_mandir}/man?/*
%{_unitdir}/incrond.service


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.5.10-4.mga6
+ Revision: 939709
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.10-3.mga5
+ Revision: 740197
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.10-2.mga5
+ Revision: 680500
- Mageia 5 Mass Rebuild

* Sat Jul 12 2014 wally <wally> 0.5.10-1.mga5
+ Revision: 651425
- new version 0.5.10
- switch to systemd (service file from Fedora)
- remove unneeded patches and rediff includes patch (from Fedora)
- update license

* Fri Oct 18 2013 umeabot <umeabot> 0.5.9-5.mga4
+ Revision: 508374
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 luigiwalser <luigiwalser> 0.5.9-4.mga3
+ Revision: 361102
- include unistd.h to fix compilation error

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat May 14 2011 nanardon <nanardon> 0.5.9-2.mga1
+ Revision: 98665
- imported package incron


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.9-2mdv2011.0
+ Revision: 619627
- the mass rebuild of 2010.0 packages

* Tue Jul 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.9-1mdv2010.0
+ Revision: 398242
- Adding patch (taken from Fedora) to fix build on x86_64
- Update to new version 0.5.9
- Fix includes for gcc 4.4

* Tue Jan 06 2009 Olivier Thauvin <nanardon@mandriva.org> 0.5.8-1mdv2009.1
+ Revision: 325184
- 0.5.8

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 05 2007 Olivier Thauvin <nanardon@mandriva.org> 0.5.7-1mdv2008.0
+ Revision: 80407
- 0.5.7

* Sat May 19 2007 Olivier Thauvin <nanardon@mandriva.org> 0.5.6-1mdv2008.0
+ Revision: 28534
- 0.5.6


* Wed Feb 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.5.5-1mdv2007.0
+ Revision: 121191
- 0.5.5

* Wed Feb 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.5.4-1mdv2007.1
+ Revision: 120669
- 0.5.4

* Fri Feb 09 2007 Olivier Thauvin <nanardon@mandriva.org> 0.5.3-2mdv2007.1
+ Revision: 118629
- add an initscript

* Fri Feb 09 2007 Olivier Thauvin <nanardon@mandriva.org> 0.5.3-1mdv2007.1
+ Revision: 118282
- initial mdv package
- Create incron

